### Method

# EDataServer SourceCollection set_calendar_enabled

since: 3.6

#### Declaration [src]

    void
    e_source_collection_set_calendar_enabled (
      ESourceCollection* extension,
      gboolean calendar_enabled
    )

#### Description [src]

Sets whether calendar sources within the collection should be enabled.

An `ECollectionBackend` running within the registry D-Bus service will automatically synchronize any calendar sources it maintains with the `ESourceCollection:calendar-enabled` property.

Calling this function from a registry service client has no effect until the change is submitted to the registry service through e_source_write(), but there should rarely be any need for clients to call this.

Available since: 3.6

Sets property | `EDataServer.SourceCollection:calendar-enabled`

#### Parameters

`calendar_enabled`

  Type: `gboolean`

  Whether calendar sources should be enabled.